/*
** BeNES - Nintendo Entertaiment System Emulator for BeOS
**
** * 1999 by makoto yamagata
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#include "NesRenderInfo.h"

#define NAMEROW (32) // ROW of name table
#define ATTRROW (8)  // ROW of attr table

NesScreenRenderInfo::NesScreenRenderInfo()
{
	for (int y=0; y<H; y++) {
		for (int x=0; x<W; x++) {
			mXY[y][x].shift = ((x/8)&0x02) + (((y/8)&0x02)*2);
			mXY[y][x].nametbl_index = (x/8) + ((y/8)*NAMEROW);
			mXY[y][x].attrtbl_index = (x/32) + ((y/32)*ATTRROW);
		}
	}
}
